This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1005002 - [WHQL][netkvm]Multiple processor group device test could not run on win2012R2[Preview]Version on HCK2.1
[WHQL][netkvm]Multiple processor group device test could not run on win2012R2...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: 7.0
Assigned To: Yan Vugenfirer
Virtualization Bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 22:21 EDT by Min Deng
Modified: 2013-12-03 05:12 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-03 04:34:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test failure (115.15 KB, image/jpeg)
2013-12-02 10:38 EST, Yan Vugenfirer
no flags Details
Test log (can be view as text) (3.31 KB, text/plain)
2013-12-02 10:40 EST, Yan Vugenfirer
no flags Details
Test counts 2 CPUs only (70.24 KB, image/jpeg)
2013-12-02 10:47 EST, Yan Vugenfirer
no flags Details

  None (edit)
Description Min Deng 2013-09-05 22:21:04 EDT
Description of problem:
  Multiple processor group device test could not run on win2012R2,there were lots of jobs can run on win2012R2[Preview]and got pass or failure results but the Multiple processor group can not even run on the guest,it always keep running status but never executed in guest.

Version-Release number of selected component (if applicable):
Build67
kernel-2.6.32-414.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.397.el6.x86_64
How reproducible:
3 times

Steps to Reproduce:
1.boot up guest with the following CLI
  Guest 1:/usr/libexec/qemu-kvm -m 4G -smp 4,cores=4 -cpu cpu64-rhel6,+x2apic -usb -device usb-tablet -drive file=win2012-R2-nic1.raw,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,sndbuf=0,id=hostnet0,vhost=on,script=/etc/qemu-ifup-private,downscript=no -device virtio-net-pci,netdev=hostnet0,mac=00:33:c3:02:21:21,bus=pci.0,addr=0x4,id=virtio-net-pci0 -netdev tap,sndbuf=0,id=hostnet2,script=/etc/qemu-ifup,downscript=no -device e1000,netdev=hostnet2,mac=00:22:46:c3:33:07,bus=pci.0,addr=0x6 -uuid d2738299-9f2f-41a2-863b-e3e2d1895b43 -no-kvm-pit-reinjection -chardev socket,id=111a,path=/tmp/monitor-win8-32-nic1,server,nowait -mon chardev=111a,mode=readline -vnc :1 -vga cirrus -rtc base=localtime,clock=host,driftfix=slew -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -monitor stdio
  Guest2:/usr/libexec/qemu-kvm -m 2G -smp 1,cores=1 -cpu cpu64-rhel6,+x2apic -usb -device usb-tablet -drive file=win2012-R2-nic2.raw,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,sndbuf=0,id=hostnet0,vhost=on,script=/etc/qemu-ifup-private,downscript=no -device virtio-net-pci,netdev=hostnet0,mac=00:33:53:12:31:21,bus=pci.0,addr=0x4,id=virtio-net-pci0 -netdev tap,sndbuf=0,id=hostnet2,script=/etc/qemu-ifup,downscript=no -device e1000,netdev=hostnet2,mac=00:23:44:c3:33:07,bus=pci.0,addr=0x6 -uuid 95e9461c-fd7c-4b3b-a5f9-1bd9b09c1856 -no-kvm-pit-reinjection -chardev socket,id=111a,path=/tmp/monitor-win8-32-nic2,server,nowait -mon chardev=111a,mode=readline -vnc :2 -vga cirrus -name win8-32-67-2 -rtc base=localtime,clock=host,driftfix=slew -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -monitor stdio
2.submit the job
3.

Actual results:
 I have set the following on my test clients but job always keep running status,actually it didn't run on client.
  bcdedit.exe /set groupsize 2
  bcdedit.exe /set groupaware on
  shutdown -r -t 0

Expected results:
The job can pass.

Additional info:
Comment 2 RHEL Product and Program Management 2013-10-13 22:21:36 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Mike Cao 2013-11-27 00:35:34 EST
Hi, Yan

Why you move this bug to RHEL7.0.0 ?QE still run WHQL Test on RHEL6.x as the mainline 

I can not reproduce this issue on virtio-win-prwehql-74,dengmin, pls run this job with vcpus >=4 in the future
Comment 7 Yan Vugenfirer 2013-12-02 10:38:33 EST
Created attachment 831656 [details]
Test failure
Comment 8 Yan Vugenfirer 2013-12-02 10:40:28 EST
Created attachment 831657 [details]
Test log (can be view as text)
Comment 9 Yan Vugenfirer 2013-12-02 10:47:18 EST
Created attachment 831659 [details]
Test counts 2 CPUs only
Comment 12 Yan Vugenfirer 2013-12-03 04:34:10 EST
Closing according to comment #7.

Note You need to log in before you can comment on or make changes to this bug.